/*
 * Copyright (c) 2010 Dmytro Pishchukhin (http://knowhowlab.org)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.knowhowlab.osgi.jmx.beans;

import javax.management.NotCompliantMBeanException;

/**
 * Abstract Compendium Service MBean
 *
 * @author dpishchukhin
 */
public abstract class ServiceAbstractMBean<T> extends AbstractMBean {
    protected T service;

    protected ServiceAbstractMBean(Class<?> mbeanInterface) throws NotCompliantMBeanException {
        super(mbeanInterface);
    }

    public void setService(T service) {
        this.service = service;
    }

    @Override
    public void uninit() {
        service = null;
        super.uninit();
    }

    public void init(){
    }
}
